Uploaded image for project: 'PUBLIC - Liferay IDE'
  1. PUBLIC - Liferay IDE
  2. IDE-2068

Unable to create theme from scratch in Liferay IDE

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: No Longer Reproducible
    • Affects Version/s: 2.2.3
    • Fix Version/s: None
    • Component/s: Projects > Theme
    • Labels:
    • Environment:
      Ubuntu vivid, Oracla Java 7, Eclipse Luna

      Description

      Trying to create a theme project from scratch fails. All defaults, just selectd Theme and theme name in the "New Liferay Plugin Project" dialog box.

      Console message is "Build successful" but Eclipse shows an error and asks to check the eclipse log.

      The error found in the eclipse logs is:

      !ENTRY com.liferay.ide.project.core 4 0 2015-08-18 11:05:00.312
      !MESSAGE Error creating Liferay plugin project.
      !STACK 1
      org.eclipse.core.runtime.CoreException: One or more constraints have not been satisfied.
      at com.liferay.ide.project.core.util.ProjectUtil.importProject(ProjectUtil.java:1074)
      at com.liferay.ide.project.core.PluginsSDKProjectProvider.doCreateNewProject(PluginsSDKProjectProvider.java:262)
      at com.liferay.ide.project.core.NewLiferayProjectProvider.createNewProject(NewLiferayProjectProvider.java:45)
      at com.liferay.ide.project.core.model.NewLiferayPluginProjectOpMethods.execute(NewLiferayPluginProjectOpMethods.java:110)
      at com.liferay.ide.project.core.model.NewLiferayPluginProjectOp$Impl.execute(Unknown Source)
      at org.eclipse.sapphire.ui.forms.swt.SapphireWizard.performFinish(SapphireWizard.java:370)
      at org.eclipse.sapphire.ui.forms.swt.SapphireWizard$3.run(SapphireWizard.java:334)
      at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:122)
      Caused by: org.eclipse.core.runtime.CoreException: One or more constraints have not been satisfied.
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.modifyInternal(FacetedProject.java:363)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.mergeChangesInternal(FacetedProject.java:1181)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.access$2(FacetedProject.java:1117)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject$5.run(FacetedProject.java:1099)
      at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2313)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.mergeChanges(FacetedProject.java:1109)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProjectWorkingCopy.commitChanges(FacetedProjectWorkingCopy.java:2020)
      at com.liferay.ide.project.core.util.ProjectUtil.createNewSDKProject(ProjectUtil.java:473)
      at com.liferay.ide.project.core.util.ProjectUtil.importProject(ProjectUtil.java:1070)
      ... 7 more
      !SUBENTRY 1 com.liferay.ide.project.core 4 0 2015-08-18 11:05:00.312
      !MESSAGE One or more constraints have not been satisfied.
      !STACK 1
      org.eclipse.core.runtime.CoreException: One or more constraints have not been satisfied.
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.modifyInternal(FacetedProject.java:363)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.mergeChangesInternal(FacetedProject.java:1181)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.access$2(FacetedProject.java:1117)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject$5.run(FacetedProject.java:1099)
      at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2313)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.mergeChanges(FacetedProject.java:1109)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedProjectWorkingCopy.commitChanges(FacetedProjectWorkingCopy.java:2020)
      at com.liferay.ide.project.core.util.ProjectUtil.createNewSDKProject(ProjectUtil.java:473)
      at com.liferay.ide.project.core.util.ProjectUtil.importProject(ProjectUtil.java:1070)
      at com.liferay.ide.project.core.PluginsSDKProjectProvider.doCreateNewProject(PluginsSDKProjectProvider.java:262)
      at com.liferay.ide.project.core.NewLiferayProjectProvider.createNewProject(NewLiferayProjectProvider.java:45)
      at com.liferay.ide.project.core.model.NewLiferayPluginProjectOpMethods.execute(NewLiferayPluginProjectOpMethods.java:110)
      at com.liferay.ide.project.core.model.NewLiferayPluginProjectOp$Impl.execute(Unknown Source)
      at org.eclipse.sapphire.ui.forms.swt.SapphireWizard.performFinish(SapphireWizard.java:370)
      at org.eclipse.sapphire.ui.forms.swt.SapphireWizard$3.run(SapphireWizard.java:334)
      at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:122)
      Contains: Dynamic Web Module 3.0 requires Java 1.6 or newer.
      !SUBENTRY 2 org.eclipse.wst.common.project.facet.core 4 0 2015-08-18 11:05:00.312
      !MESSAGE One or more constraints have not been satisfied.
      !SUBENTRY 3 org.eclipse.wst.common.project.facet.core 4 0 2015-08-18 11:05:00.312
      !MESSAGE Dynamic Web Module 3.0 requires Java 1.6 or newer.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                4 years, 4 weeks, 5 days ago

                Packages

                Version Package